RTEMS: Version

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Files | Functions
Version
API » Classic

The Version API provides functions to return the version or parts of the version of RTEMS you are using. More...

## Files
file | version.c
| Creates the version strings from the various pieces of version information. The main version number is part of the build system and is stamped into rtems/score/cpuopts.h. The version control key string is extracted from the version control tool when the code is being built and is updated if it has changed. The key may indicate there are local modification.

## Functions
const char * | rtems_version (void)
| Returns the version string.
int | rtems_version_major (void)
| Returns the version's major number.
int | rtems_version_minor (void)
| Returns the version's minor number.
int | rtems_version_revision (void)
| Returns the version's revision number.
const char * | rtems_version_control_key (void)
| Returns the version control key for the current version of code that has been built.
const char * | rtems_board_support_package (void)
| Returns the board support package name.

## Detailed Description

The Version API provides functions to return the version or parts of the version of RTEMS you are using.

A branch in the version control system will always fall back to a NOT-RELEASED version number with a minor number of 0. Only the release archives have a VERSION file with a final release number. That means for example that the 5 development branch will still show a version 5.0.0 even after the 5.1 release.

The reason for that are the following:

1. All pre-release tests are performed with a specific git hash. A committed VERSION file would need to be changed and committed afterwards for releasing with the required release version causing the released version to have a different git hash and the test results couldn't be linked to the released version.
2. Users deploying RTEMS would need to commit a local change to a committed VERSION file and that would clash with the project changes. Deployment can use the project repos directly.
3. The VERSION file management and generation is the responsibility of the release manager and the release process.

## Function Documentation

## ◆ rtems_board_support_package()

const char * rtems_board_support_package | ( | void |  | ) |

Returns the board support package name.

Returns
  The board support package name.

## ◆ rtems_version()

const char * rtems_version | ( | void |  | ) |

Returns the version string.

Return values

  text | The version as a string.

## ◆ rtems_version_control_key()

const char * rtems_version_control_key | ( | void |  | ) |

Returns the version control key for the current version of code that has been built.

The key is specific to the version control system being used and allows the built version to be identified.

Use rtems_version_control_key_is_valid() to check if the version control key is valid.

Returns
  The version control key.

## ◆ rtems_version_major()

int rtems_version_major | ( | void |  | ) |

Returns the version's major number.

Return values

  int | The version's major number.

## ◆ rtems_version_minor()

int rtems_version_minor | ( | void |  | ) |

Returns the version's minor number.

Return values

  int | The version's minor number.

## ◆ rtems_version_revision()

int rtems_version_revision | ( | void |  | ) |

Returns the version's revision number.

Return values

  int | The version's revision number.